<?php

return array(
	'content_width'                                     => array(
		'size' => 1320,
		'unit' => 'px',
	),
	'content_narrow_width'                              => array(
		'size' => 768,
		'unit' => 'px',
	),
	'content_spacing'                                   => array(
		'size' => array(
			'mobile'  => 2,
			'tablet'  => 3,
			'desktop' => 5,
		),
		'unit' => array(
			'mobile'  => 'rem',
			'tablet'  => 'rem',
			'desktop' => 'rem',
		),
	),
	'boxed_spacing'                                     => array(
		'size' => array(
			'mobile'  => 1.5,
			'tablet'  => 2,
			'desktop' => 2,
		),
		'unit' => array(
			'mobile'  => 'rem',
			'tablet'  => 'rem',
			'desktop' => 'rem',
		),
	),
	'boxed_shadow'                                      => array(
		'color'   => 'rgba(0,0,0,0.05)',
		'hOffset' => 0,
		'vOffset' => 15,
		'blur'    => 15,
		'spread'  => - 10,
		'inset'   => FALSE,
	),
	'boxed_border_radius'                               => array(
		'size'   => array( '', '', '', '' ),
		'unit'   => 'px',
		'locked' => TRUE,
	),
	'boxed_grid_spacing'                                => array(
		'size' => array(
			'mobile'  => 1.5,
			'tablet'  => 2,
			'desktop' => 2,
		),
		'unit' => array(
			'mobile'  => 'rem',
			'tablet'  => 'rem',
			'desktop' => 'rem',
		),
	),
	'boxed_grid_shadow'                                 => array(
		'color'   => 'rgba(0,0,0,0.05)',
		'hOffset' => 0,
		'vOffset' => 15,
		'blur'    => 15,
		'spread'  => - 10,
		'inset'   => FALSE,
	),
	'boxed_grid_border_radius'                          => array(
		'size'   => array( '', '', '', '' ),
		'unit'   => 'px',
		'locked' => TRUE,
	),
	'site_background'                                   => array(
		'desktop' => array(
			'color' => 'palette8',
		),
	),
	'content_background'                                => array(
		'desktop' => array(
			'color' => 'palette9',
		),
	),
	// Sidebar.
	'sidebar_width'                                     => array(
		'size' => '',
		'unit' => '%',
	),
	'sidebar_widget_spacing'                            => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => 1.5,
		),
		'unit' => array(
			'mobile'  => 'em',
			'tablet'  => 'em',
			'desktop' => 'em',
		),
	),
	'sidebar_widget_title'                              => array(
		'size'       => array(
			'desktop' => 20,
		),
		'lineHeight' => array(
			'desktop' => 1.5,
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '700',
		'variant'    => '700',
		'color'      => 'palette3',
	),
	'sidebar_widget_content'                            => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => 'palette4',
	),
	'sidebar_link_colors'                               => array(
		'color' => '',
		'hover' => '',
	),
	'sidebar_background'                                => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'sidebar_divider_border'                            => array(),
	'sidebar_padding'                                   => array(
		'size'   => array(
			'desktop' => array( '', '', '', '' ),
		),
		'unit'   => array(
			'desktop' => 'px',
		),
		'locked' => array(
			'desktop' => FALSE,
		),
	),
	'sidebar_sticky'                                    => FALSE,
	'sidebar_sticky_last_widget'                        => FALSE,
	// Links.
	'link_color'                                        => array(
		'highlight'      => 'palette1',
		'highlight-alt'  => 'palette2',
		'highlight-alt2' => 'palette9',
		'style'          => 'standard',
	),
	// Scroll To Top.
	'scroll_up'                                         => FALSE,
	'scroll_up_side'                                    => 'right',
	'scroll_up_icon'                                    => 'arrow-up',
	'scroll_up_icon_size'                               => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => 1.2,
		),
		'unit' => array(
			'mobile'  => 'em',
			'tablet'  => 'em',
			'desktop' => 'em',
		),
	),
	'scroll_up_side_offset'                             => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => 30,
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'scroll_up_bottom_offset'                           => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => 30,
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'scroll_up_visiblity'                               => array(
		'desktop' => TRUE,
		'tablet'  => TRUE,
		'mobile'  => FALSE,
	),
	'scroll_up_style'                                   => 'outline',
	'scroll_up_padding'                                 => array(
		'size'   => array(
			'desktop' => array( 0.4, 0.4, 0.4, 0.4 ),
		),
		'unit'   => array(
			'desktop' => 'em',
		),
		'locked' => array(
			'desktop' => TRUE,
		),
	),
	'scroll_up_color'                                   => array(
		'color' => '',
		'hover' => '',
	),
	'scroll_up_background'                              => array(
		'color' => '',
		'hover' => '',
	),
	'scroll_up_border_colors'                           => array(
		'color' => '',
		'hover' => '',
	),
	'scroll_up_border'                                  => array(),
	'scroll_up_radius'                                  => array(
		'size'   => array( 0, 0, 0, 0 ),
		'unit'   => 'px',
		'locked' => TRUE,
	),
	'comment_form_remove_web'                           => FALSE,
	'comment_form_before_list'                          => FALSE,
	// Buttons.
	'buttons_color'                                     => array(
		'color' => 'palette9',
		'hover' => 'palette9',
	),
	'buttons_background'                                => array(
		'color' => 'palette1',
		'hover' => 'palette2',
	),
	'buttons_border_colors'                             => array(
		'color' => '',
		'hover' => '',
	),
	'buttons_border'                                    => array(),
	'buttons_border_radius'                             => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'buttons_typography'                                => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'buttons_padding'                                   => array(
		'size'   => array(
			'desktop' => array( '', '', '', '' ),
		),
		'unit'   => array(
			'desktop' => 'px',
		),
		'locked' => array(
			'desktop' => FALSE,
		),
	),
	'buttons_shadow'                                    => array(
		'color'   => 'rgba(0,0,0,0)',
		'hOffset' => 0,
		'vOffset' => 0,
		'blur'    => 0,
		'spread'  => - 7,
		'inset'   => FALSE,
	),
	'buttons_shadow_hover'                              => array(
		'color'   => 'rgba(0,0,0,0.1)',
		'hOffset' => 0,
		'vOffset' => 15,
		'blur'    => 25,
		'spread'  => - 7,
		'inset'   => FALSE,
	),
	'enable_footer_on_bottom'                           => TRUE,
	'enable_scroll_to_id'                               => TRUE,
	'lightbox'                                          => FALSE,
	'enable_popup_body_animate'                         => TRUE,
	// Typography.
	'base_font'                                         => array(
		'size'       => array(
			'desktop' => 18,
		),
		'lineHeight' => array(
			'desktop' => 1.8,
		),
		'family'     => 'Source Sans Pro',
		'google'     => true,
		'weight'     => 'normal',
		'variant'    => 'regular',
		'color'      => 'palette3',
	),
	'load_base_italic'                                  => FALSE,
	'google_subsets'                                    => array(),
	'load_fonts_local'                                  => FALSE,
	'preload_fonts_local'                               => TRUE,
	'heading_font'                                      => array(
		'family' => 'Source Serif Pro',
	),
	'h1_font'                                           => array(
		'size'       => array(
			'desktop' => 70,
		),
		'lineHeight' => array(
			'desktop' => '1.42',
		),
		'family'     => 'Source Serif Pro',
		'google'     => TRUE,
		'weight'     => '700',
		'variant'    => '700',
		'color'      => 'palette3',
	),
	'h2_font'                                           => array(
		'size'       => array(
			'desktop' => 60,
		),
		'lineHeight' => array(
			'desktop' => 1.46,
		),
		'family'     => 'Source Serif Pro',
		'google'     => TRUE,
		'weight'     => '700',
		'variant'    => '700',
		'color'      => 'palette3',
	),
	'h3_font'                                           => array(
		'size'       => array(
			'desktop' => 40,
		),
		'lineHeight' => array(
			'desktop' => 1.4,
		),
		'family'     => 'Source Serif Pro',
		'google'     => TRUE,
		'weight'     => '700',
		'variant'    => '700',
		'color'      => 'palette3',
	),
	'h4_font'                                           => array(
		'size'       => array(
			'desktop' => 30,
		),
		'lineHeight' => array(
			'desktop' => 1.5,
		),
		'family'     => 'Source Serif Pro',
		'google'     => TRUE,
		'weight'     => '700',
		'variant'    => '700',
		'color'      => 'palette3',
	),
	'h5_font'                                           => array(
		'size'       => array(
			'desktop' => 20,
		),
		'lineHeight' => array(
			'desktop' => 1.7,
		),
		'family'     => 'Source Serif Pro',
		'google'     => TRUE,
		'weight'     => '700',
		'variant'    => '700',
		'color'      => 'palette3',
	),
	'h6_font'                                           => array(
		'size'       => array(
			'desktop' => 18,
		),
		'lineHeight' => array(
			'desktop' => 1.8,
		),
		'family'     => 'Source Serif Pro',
		'google'     => TRUE,
		'weight'     => '700',
		'variant'    => '700',
		'color'      => 'palette3',
	),
	'title_above_font'                                  => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'Source Serif Pro',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'title_above_breadcrumb_font'                       => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'Source Serif Pro',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'google_subsets'                                    => array(
		'latin-ext'          => FALSE,
		'cyrillic'           => FALSE,
		'cyrillic-ext'       => FALSE,
		'greek'              => FALSE,
		'greek-ext'          => FALSE,
		'vietnamese'         => FALSE,
		'arabic'             => FALSE,
		'khmer'              => FALSE,
		'chinese'            => FALSE,
		'chinese-simplified' => FALSE,
		'tamil'              => FALSE,
		'bengali'            => FALSE,
		'devanagari'         => FALSE,
		'hebrew'             => FALSE,
		'korean'             => FALSE,
		'thai'               => FALSE,
		'telugu'             => FALSE,
	),
	'header_mobile_switch'                              => array(
		'size' => '',
		'unit' => 'px',
	),
	// Header.
	'header_desktop_items'                              => array(
		'top'    => array(
			'top_left'         => array(),
			'top_left_center'  => array(),
			'top_center'       => array(),
			'top_right_center' => array(),
			'top_right'        => array(),
		),
		'main'   => array(
			'main_left'         => array( 'logo' ),
			'main_left_center'  => array(),
			'main_center'       => array(),
			'main_right_center' => array(),
			'main_right'        => array( 'navigation' ),
		),
		'bottom' => array(
			'bottom_left'         => array(),
			'bottom_left_center'  => array(),
			'bottom_center'       => array(),
			'bottom_right_center' => array(),
			'bottom_right'        => array(),
		),
	),
	'header_wrap_background'                            => array(
		'desktop' => array(
			'color' => '#ffffff',
		),
	),
	// Header Main.
	'header_main_height'                                => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => 80,
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'header_main_layout'                                => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => 'standard',
	),
	'header_main_background'                            => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'header_main_trans_background'                      => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'header_main_top_border'                            => array(),
	'header_main_bottom_border'                         => array(),
	'header_main_padding'                               => array(
		'size'   => array(
			'desktop' => array( '', '', '', '' ),
		),
		'unit'   => array(
			'desktop' => 'px',
		),
		'locked' => array(
			'desktop' => FALSE,
		),
	),
	// Header Top.
	'header_top_height'                                 => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => 0,
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'header_top_layout'                                 => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => 'standard',
	),
	'header_top_background'                             => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'header_top_trans_background'                       => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'header_top_top_border'                             => array(),
	'header_top_bottom_border'                          => array(),
	'header_top_padding'                                => array(
		'size'   => array(
			'desktop' => array( '', '', '', '' ),
		),
		'unit'   => array(
			'desktop' => 'px',
		),
		'locked' => array(
			'desktop' => FALSE,
		),
	),
	// Header Bottom.
	'header_bottom_height'                              => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => 0,
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'header_bottom_layout'                              => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => 'standard',
	),
	'header_bottom_background'                          => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'header_bottom_trans_background'                    => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'header_bottom_top_border'                          => array(),
	'header_bottom_bottom_border'                       => array(),
	'header_bottom_padding'                             => array(
		'size'   => array(
			'desktop' => array( '', '', '', '' ),
		),
		'unit'   => array(
			'desktop' => 'px',
		),
		'locked' => array(
			'desktop' => FALSE,
		),
	),
	// Mobile Header.
	'header_mobile_items'                               => array(
		'popup'  => array(
			'popup_content' => array( 'mobile-navigation' ),
		),
		'top'    => array(
			'top_left'   => array(),
			'top_center' => array(),
			'top_right'  => array(),
		),
		'main'   => array(
			'main_left'   => array( 'mobile-logo' ),
			'main_center' => array(),
			'main_right'  => array( 'popup-toggle' ),
		),
		'bottom' => array(
			'bottom_left'   => array(),
			'bottom_center' => array(),
			'bottom_right'  => array(),
		),
	),
	// Logo.
	'logo_width'                                        => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => 200,
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'use_mobile_logo'                                   => FALSE,
	'logo_layout'                                       => array(
		'include' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => 'logo_title',
		),
		'layout'  => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => 'standard',
		),
	),
	'brand_typography'                                  => array(
		'size'       => array(
			'desktop' => 26,
		),
		'lineHeight' => array(
			'desktop' => 1.2,
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '700',
		'variant'    => '700',
		'color'      => 'palette3',
	),
	'brand_typography_color'                            => array(
		'hover'  => '',
		'active' => '',
	),
	'brand_tag_typography'                              => array(
		'size'       => array(
			'desktop' => 16,
		),
		'lineHeight' => array(
			'desktop' => 1.4,
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '700',
		'variant'    => '700',
		'color'      => 'palette5',
	),
	'header_logo_padding'                               => array(
		'size'   => array(
			'desktop' => array( '', '', '', '' ),
		),
		'unit'   => array(
			'desktop' => 'px',
		),
		'locked' => array(
			'desktop' => FALSE,
		),
	),
	// Navigation.
	'primary_navigation_typography'                     => array(
		'size'       => array(
			'desktop' => '16',
		),
		'lineHeight' => array(
			'desktop' => '2.5',
		),
		'family'     => 'Source Sans Pro',
		'google'     => 1,
		'weight'     => '700',
		'variant'    => '700',
        'unit' => 'px',
        'style' => 'normal',
        'transform' => 'uppercase'
	),
	'primary_navigation_spacing'                        => array(
		'size' => 3.11,
		'unit' => 'em',
	),
	'primary_navigation_vertical_spacing'               => array(
		'size' => 0.6,
		'unit' => 'em',
	),
	'primary_navigation_stretch'                        => FALSE,
	'primary_navigation_fill_stretch'                   => FALSE,
	'primary_navigation_style'                          => 'underline',
	'primary_navigation_color'                          => array(
		'color'  => 'palette4',
		'hover'  => 'palette2',
		'active' => 'palette3',
	),
	'primary_navigation_background'                     => array(
		'color'  => '',
		'hover'  => '',
		'active' => '',
	),
	'primary_navigation_parent_active'                  => FALSE,
	// Secondary Navigation.
	'secondary_navigation_typography'                   => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'secondary_navigation_spacing'                      => array(
		'size' => 1.2,
		'unit' => 'em',
	),
	'secondary_navigation_vertical_spacing'             => array(
		'size' => 0.6,
		'unit' => 'em',
	),
	'secondary_navigation_stretch'                      => FALSE,
	'secondary_navigation_fill_stretch'                 => FALSE,
	'secondary_navigation_style'                        => 'standard',
	'secondary_navigation_color'                        => array(
		'color'  => 'palette5',
		'hover'  => 'palette-highlight',
		'active' => 'palette3',
	),
	'secondary_navigation_background'                   => array(
		'color'  => '',
		'hover'  => '',
		'active' => '',
	),
	'secondary_navigation_parent_active'                => FALSE,
	// Dropdown.
	'dropdown_navigation_reveal'                        => 'fade-down',
	'dropdown_navigation_width'                         => array(
		'size' => 200,
		'unit' => 'px',
	),
	'dropdown_navigation_vertical_spacing'              => array(
		'size' => 15,
		'unit' => 'px',
	),
	'dropdown_navigation_color'                         => array(
		'color'  => 'palette8',
		'hover'  => 'palette9',
		'active' => 'palette9',
	),
	'dropdown_navigation_background'                    => array(
		'color'  => 'palette3',
		'hover'  => 'palette4',
		'active' => 'palette4',
	),
	'dropdown_navigation_divider'                       => array(
		'width' => 1,
		'unit'  => 'px',
		'style' => 'solid',
		'color' => 'rgba(255,255,255,0.1)',
	),
	'dropdown_navigation_shadow'                        => array(
		'color'   => 'rgba(0,0,0,0.1)',
		'hOffset' => 0,
		'vOffset' => 2,
		'blur'    => 13,
		'spread'  => 0,
		'inset'   => FALSE,
	),
	'dropdown_navigation_typography'                    => array(
		'size'       => array(
			'desktop' => 12,
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	// Mobile Trigger.
	'mobile_trigger_label'                              => '',
	'mobile_trigger_icon'                               => 'menu',
	'mobile_trigger_style'                              => 'default',
	'mobile_trigger_border'                             => array(
		'width' => 1,
		'unit'  => 'px',
		'style' => 'solid',
		'color' => 'currentColor',
	),
	'mobile_trigger_icon_size'                          => array(
		'size' => 20,
		'unit' => 'px',
	),
	'mobile_trigger_color'                              => array(
		'color' => 'palette5',
		'hover' => 'palette-highlight',
	),
	'mobile_trigger_background'                         => array(
		'color' => '',
		'hover' => '',
	),
	'mobile_trigger_typography'                         => array(
		'size'       => array(
			'desktop' => 14,
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'mobile_trigger_padding'                            => array(
		'size'   => array( 0.4, 0.6, 0.4, 0.6 ),
		'unit'   => 'em',
		'locked' => FALSE,
	),
	// Mobile Navigation.
	'mobile_navigation_reveal'                          => 'none',
	'mobile_navigation_collapse'                        => TRUE,
	'mobile_navigation_parent_toggle'                   => FALSE,
	'mobile_navigation_width'                           => array(
		'size' => 200,
		'unit' => 'px',
	),
	'mobile_navigation_vertical_spacing'                => array(
		'size' => 1,
		'unit' => 'em',
	),
	'mobile_navigation_color'                           => array(
		'color'  => 'palette8',
		'hover'  => '',
		'active' => 'palette-highlight',
	),
	'mobile_navigation_background'                      => array(
		'color'  => '',
		'hover'  => '',
		'active' => '',
	),
	'mobile_navigation_divider'                         => array(
		'width' => 1,
		'unit'  => 'px',
		'style' => 'solid',
		'color' => 'rgba(255,255,255,0.1)',
	),
	'mobile_navigation_typography'                      => array(
		'size'       => array(
			'desktop' => 14,
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	// Header Popup.
	'header_popup_side'                                 => 'right',
	'header_popup_layout'                               => 'sidepanel',
	'header_popup_animation'                            => 'fade',
	'header_popup_vertical_align'                       => 'top',
	'header_popup_content_align'                        => 'left',
	'header_popup_background'                           => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'header_popup_close_color'                          => array(
		'color' => '',
		'hover' => '',
	),
	// Header HTML.
	'header_html_content'                               => __( 'Insert HTML here', 'blockfold' ),
	'header_html_typography'                            => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'header_html_link_style'                            => 'normal',
	'header_html_link_color'                            => array(
		'color' => '',
		'hover' => '',
	),
	'header_html_margin'                                => array(
		'size'   => array( '', '', '', '' ),
		'unit'   => 'px',
		'locked' => FALSE,
	),
	'header_html_wpautop'                               => TRUE,
	// Header Button.
	'header_button_label'                               => __( 'Button', 'blockfold' ),
	'header_button_link'                                => '',
	'header_button_style'                               => 'filled',
	'header_button_size'                                => 'medium',
	'header_button_visibility'                          => 'all',
	'header_button_padding'                             => array(
		'size'   => array( '', '', '', '' ),
		'unit'   => 'px',
		'locked' => FALSE,
	),
	'header_button_typography'                          => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'header_button_color'                               => array(
		'color' => '',
		'hover' => '',
	),
	'header_button_background'                          => array(
		'color' => '',
		'hover' => '',
	),
	'header_button_border_colors'                       => array(
		'color' => '',
		'hover' => '',
	),
	'header_button_border'                              => array(
		'width' => 2,
		'unit'  => 'px',
		'style' => 'none',
	),
	'header_button_shadow'                              => array(
		'color'   => 'rgba(0,0,0,0)',
		'hOffset' => 0,
		'vOffset' => 0,
		'blur'    => 0,
		'spread'  => - 7,
		'inset'   => FALSE,
	),
	'header_button_shadow_hover'                        => array(
		'color'   => 'rgba(0,0,0,0.1)',
		'hOffset' => 0,
		'vOffset' => 15,
		'blur'    => 25,
		'spread'  => - 7,
		'inset'   => FALSE,
	),
	'header_button_margin'                              => array(
		'size'   => array( '', '', '', '' ),
		'unit'   => 'px',
		'locked' => FALSE,
	),
	'header_button_radius'                              => array(
		'size'   => array( '', '', '', '' ),
		'unit'   => 'px',
		'locked' => TRUE,
	),
	// Header Social.
	'header_social_items'                               => array(
		'items' => array(
			array(
				'id'      => 'facebook',
				'enabled' => TRUE,
				'source'  => 'icon',
				'url'     => '',
				'imageid' => '',
				'width'   => 24,
				'icon'    => 'facebook',
				'label'   => 'Facebook',
			),
			array(
				'id'      => 'twitter',
				'enabled' => TRUE,
				'source'  => 'icon',
				'url'     => '',
				'imageid' => '',
				'width'   => 24,
				'icon'    => 'twitter',
				'label'   => 'Twitter',
			),
			array(
				'id'      => 'instagram',
				'enabled' => TRUE,
				'source'  => 'icon',
				'url'     => '',
				'imageid' => '',
				'width'   => 24,
				'icon'    => 'instagram',
				'label'   => 'Instagram',
			),
		),
	),
	'header_social_style'                               => 'filled',
	'header_social_show_label'                          => FALSE,
	'header_social_item_spacing'                        => array(
		'size' => 0.3,
		'unit' => 'em',
	),
	'header_social_icon_size'                           => array(
		'size' => 1,
		'unit' => 'em',
	),
	'header_social_brand'                               => '',
	'header_social_color'                               => array(
		'color' => '',
		'hover' => '',
	),
	'header_social_background'                          => array(
		'color' => '',
		'hover' => '',
	),
	'header_social_border_colors'                       => array(
		'color' => '',
		'hover' => '',
	),
	'header_social_border'                              => array(
		'width' => 2,
		'unit'  => 'px',
		'style' => 'none',
	),
	'header_social_border_radius'                       => array(
		'size' => 3,
		'unit' => 'px',
	),
	'header_social_typography'                          => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'header_social_margin'                              => array(
		'size'   => array( '', '', '', '' ),
		'unit'   => 'px',
		'locked' => FALSE,
	),
	// Mobile Header Social.
	'header_mobile_social_items'                        => array(
		'items' => array(
			array(
				'id'      => 'facebook',
				'enabled' => TRUE,
				'source'  => 'icon',
				'url'     => '',
				'imageid' => '',
				'width'   => 24,
				'icon'    => 'facebook',
				'label'   => 'Facebook',
			),
			array(
				'id'      => 'twitter',
				'enabled' => TRUE,
				'source'  => 'icon',
				'url'     => '',
				'imageid' => '',
				'width'   => 24,
				'icon'    => 'twitter',
				'label'   => 'Twitter',
			),
			array(
				'id'      => 'instagram',
				'enabled' => TRUE,
				'source'  => 'icon',
				'url'     => '',
				'imageid' => '',
				'width'   => 24,
				'icon'    => 'instagram',
				'label'   => 'Instagram',
			),
		),
	),
	'header_mobile_social_style'                        => 'filled',
	'header_mobile_social_show_label'                   => FALSE,
	'header_mobile_social_item_spacing'                 => array(
		'size' => 0.3,
		'unit' => 'em',
	),
	'header_mobile_social_icon_size'                    => array(
		'size' => 1,
		'unit' => 'em',
	),
	'header_mobile_social_brand'                        => '',
	'header_mobile_social_color'                        => array(
		'color' => '',
		'hover' => '',
	),
	'header_mobile_social_background'                   => array(
		'color' => '',
		'hover' => '',
	),
	'header_mobile_social_border_colors'                => array(
		'color' => '',
		'hover' => '',
	),
	'header_mobile_social_border'                       => array(
		'width' => 2,
		'unit'  => 'px',
		'style' => 'none',
	),
	'header_mobile_social_border_radius'                => array(
		'size' => 3,
		'unit' => 'px',
	),
	'header_mobile_social_typography'                   => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'header_mobile_social_margin'                       => array(
		'size'   => array( '', '', '', '' ),
		'unit'   => 'px',
		'locked' => FALSE,
	),
	// Header Search.
	'header_search_label'                               => '',
	'header_search_label_visiblity'                     => array(
		'desktop' => TRUE,
		'tablet'  => TRUE,
		'mobile'  => FALSE,
	),
	'header_search_icon'                                => 'search',
	'header_search_style'                               => 'default',
	'header_search_woo'                                 => FALSE,
	'header_search_border'                              => array(
		'width' => 1,
		'unit'  => 'px',
		'style' => 'solid',
		'color' => 'currentColor',
	),
	'header_search_icon_size'                           => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => 1,
		),
		'unit' => array(
			'mobile'  => 'em',
			'tablet'  => 'em',
			'desktop' => 'em',
		),
	),
	'header_search_color'                               => array(
		'color' => 'palette5',
		'hover' => 'palette-highlight',
	),
	'header_search_background'                          => array(
		'color' => '',
		'hover' => '',
	),
	'header_search_typography'                          => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'header_search_padding'                             => array(
		'size'   => array( '', '', '', '' ),
		'unit'   => 'em',
		'locked' => FALSE,
	),
	'header_search_margin'                              => array(
		'size'   => array( '', '', '', '' ),
		'unit'   => 'px',
		'locked' => FALSE,
	),
	'header_search_modal_color'                         => array(
		'color' => 'palette3',
		'hover' => '',
	),
	'header_search_modal_background'                    => array(
		'desktop' => '',
	),
	'header_search_modal_background'                    => array(
		'desktop' => array(
			'color' => 'rgba(9, 12, 16, 0.97)',
		),
	),
	// Mobile Header Button.
	'mobile_button_label'                               => __( 'Button', 'blockfold' ),
	'mobile_button_style'                               => 'filled',
	'mobile_button_size'                                => 'medium',
	'mobile_button_visibility'                          => 'all',
	'mobile_button_typography'                          => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'mobile_button_color'                               => array(
		'color' => '',
		'hover' => '',
	),
	'mobile_button_background'                          => array(
		'color' => '',
		'hover' => '',
	),
	'mobile_button_border_colors'                       => array(
		'color' => '',
		'hover' => '',
	),
	'mobile_button_border'                              => array(
		'width' => 2,
		'unit'  => 'px',
		'style' => 'none',
	),
	'mobile_button_margin'                              => array(
		'size'   => array( '', '', '', '' ),
		'unit'   => 'px',
		'locked' => FALSE,
	),
	// Mobile Header HTML.
	'mobile_html_content'                               => __( 'Insert HTML here', 'blockfold' ),
	'mobile_html_typography'                            => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'mobile_html_link_color'                            => array(
		'color' => '',
		'hover' => '',
	),
	'mobile_html_margin'                                => array(
		'size'   => array( '', '', '', '' ),
		'unit'   => 'px',
		'locked' => FALSE,
	),
	'mobile_html_link_style'                            => 'normal',
	'mobile_html_wpautop'                               => TRUE,
	// Transparent Header.
	'transparent_header_enable'                         => FALSE,
	'transparent_header_device'                         => array(
		'desktop' => TRUE,
		'mobile'  => TRUE,
	),
	'transparent_header_archive'                        => TRUE,
	'transparent_header_page'                           => FALSE,
	'transparent_header_post'                           => FALSE,
	'transparent_header_product'                        => TRUE,
	'transparent_header_logo_width'                     => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'transparent_header_logo'                           => '',
	'transparent_header_custom_logo'                    => FALSE,
	'transparent_header_mobile_logo'                    => '',
	'transparent_header_custom_mobile_logo'             => FALSE,
	'transparent_header_site_title_color'               => array(
		'color' => '',
	),
	'transparent_header_navigation_color'               => array(
		'color'  => '',
		'hover'  => '',
		'active' => '',
	),
	'transparent_header_navigation_background'          => array(
		'color'  => '',
		'hover'  => '',
		'active' => '',
	),
	'transparent_header_button_color'                   => array(
		'color'           => '',
		'hover'           => '',
		'background'      => '',
		'backgroundHover' => '',
		'border'          => '',
		'borderHover'     => '',
	),
	'transparent_header_social_color'                   => array(
		'color'           => '',
		'hover'           => '',
		'background'      => '',
		'backgroundHover' => '',
		'border'          => '',
		'borderHover'     => '',
	),
	'transparent_header_html_color'                     => array(
		'color' => '',
		'link'  => '',
		'hover' => '',
	),
	'transparent_header_background'                     => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'transparent_header_bottom_border'                  => array(),
	// Sticky Header.
	'header_sticky'                                     => 'no',
	'header_reveal_scroll_up'                           => FALSE,
	'header_sticky_shrink'                              => FALSE,
	'header_sticky_main_shrink'                         => array(
		'size' => 60,
		'unit' => 'px',
	),
	'mobile_header_sticky'                              => 'no',
	'mobile_header_sticky_shrink'                       => FALSE,
	'mobile_header_sticky_main_shrink'                  => array(
		'size' => 60,
		'unit' => 'px',
	),
	'header_sticky_logo'                                => '',
	'header_sticky_custom_logo'                         => FALSE,
	'header_sticky_mobile_logo'                         => '',
	'header_sticky_custom_mobile_logo'                  => FALSE,
	'header_sticky_logo_width'                          => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'header_sticky_site_title_color'                    => array(
		'color' => '',
	),
	'header_sticky_navigation_color'                    => array(
		'color'  => '',
		'hover'  => '',
		'active' => '',
	),
	'header_sticky_navigation_background'               => array(
		'color'  => '',
		'hover'  => '',
		'active' => '',
	),
	'header_sticky_button_color'                        => array(
		'color'           => '',
		'hover'           => '',
		'background'      => '',
		'backgroundHover' => '',
		'border'          => '',
		'borderHover'     => '',
	),
	'header_sticky_social_color'                        => array(
		'color'           => '',
		'hover'           => '',
		'background'      => '',
		'backgroundHover' => '',
		'border'          => '',
		'borderHover'     => '',
	),
	'header_sticky_html_color'                          => array(
		'color' => '',
		'link'  => '',
		'hover' => '',
	),
	'header_sticky_background'                          => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'header_sticky_bottom_border'                       => array(),
	// Footer.
	'footer_items'                                      => array(
		'top'    => array(
			'top_1' => array(),
			'top_2' => array(),
			'top_3' => array(),
			'top_4' => array(),
			'top_5' => array(),
		),
		'middle' => array(
			'middle_1' => array(),
			'middle_2' => array(),
			'middle_3' => array(),
			'middle_4' => array(),
			'middle_5' => array(),
		),
		'bottom' => array(
			'bottom_1' => array( 'footer-html' ),
			'bottom_2' => array(),
			'bottom_3' => array(),
			'bottom_4' => array(),
			'bottom_5' => array(),
		),
	),
	'footer_wrap_background'                            => array(
		'desktop' => array(
			'color' => '',
		),
	),
	// Footer Top.
	'footer_top_height'                                 => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'footer_top_column_spacing'                         => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '30',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'footer_top_top_spacing'                            => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '30',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'footer_top_bottom_spacing'                         => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '30',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'footer_top_contain'                                => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => 'standard',
	),
	'footer_top_columns'                                => '3',
	'footer_top_collapse'                               => 'normal',
	'footer_top_layout'                                 => array(
		'mobile'  => 'row',
		'tablet'  => '',
		'desktop' => 'equal',
	),
	'footer_top_direction'                              => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => 'row',
	),
	'footer_top_background'                             => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'footer_top_top_border'                             => array(),
	'footer_top_bottom_border'                          => array(),
	'footer_top_column_border'                          => array(),
	'footer_top_widget_title'                           => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'footer_top_widget_content'                         => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'footer_top_widget_content_color'                   => array(
		'color' => '',
		'hover' => '',
	),
	'footer_top_link_style'                             => 'plain',
	// Footer Middle.
	'footer_middle_height'                              => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'footer_middle_column_spacing'                      => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '30',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'footer_middle_top_spacing'                         => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '30',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'footer_middle_bottom_spacing'                      => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '30',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'footer_middle_contain'                             => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => 'standard',
	),
	'footer_middle_collapse'                            => 'normal',
	'footer_middle_columns'                             => '3',
	'footer_middle_layout'                              => array(
		'mobile'  => 'row',
		'tablet'  => '',
		'desktop' => 'equal',
	),
	'footer_middle_direction'                           => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => 'row',
	),
	'footer_middle_background'                          => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'footer_middle_top_border'                          => array(),
	'footer_middle_bottom_border'                       => array(),
	'footer_middle_column_border'                       => array(),
	'footer_middle_widget_title'                        => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'footer_middle_widget_content'                      => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'footer_middle_widget_content_color'                => array(
		'color' => '',
		'hover' => '',
	),
	'footer_middle_link_style'                          => 'plain',
	// Footer Bottom.
	'footer_bottom_height'                              => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'footer_bottom_column_spacing'                      => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '30',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'footer_bottom_top_spacing'                         => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '30',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'footer_bottom_bottom_spacing'                      => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '30',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'footer_bottom_contain'                             => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => 'standard',
	),
	'footer_bottom_columns'                             => '1',
	'footer_bottom_collapse'                            => 'normal',
	'footer_bottom_layout'                              => array(
		'mobile'  => 'row',
		'tablet'  => '',
		'desktop' => 'row',
	),
	'footer_bottom_direction'                           => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => 'row',
	),
	'footer_bottom_background'                          => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'footer_bottom_top_border'                          => array(),
	'footer_bottom_bottom_border'                       => array(),
	'footer_bottom_column_border'                       => array(),
	'footer_bottom_widget_title'                        => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'footer_bottom_widget_content'                      => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'footer_bottom_widget_content_color'                => array(
		'color' => '',
		'hover' => '',
	),
	'footer_bottom_link_style'                          => 'plain',
	// Footer Navigation.
	'footer_navigation_typography'                      => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'footer_navigation_spacing'                         => array(
		'size' => 1.2,
		'unit' => 'em',
	),
	'footer_navigation_vertical_spacing'                => array(
		'size' => 0.6,
		'unit' => 'em',
	),
	'footer_navigation_stretch'                         => FALSE,
	'footer_navigation_style'                           => 'standard',
	'footer_navigation_color'                           => array(
		'color'  => 'palette5',
		'hover'  => 'palette-highlight',
		'active' => 'palette3',
	),
	'footer_navigation_background'                      => array(
		'color'  => '',
		'hover'  => '',
		'active' => '',
	),
	// Footer Social.
	'footer_social_items'                               => array(
		'items' => array(
			array(
				'id'      => 'facebook',
				'enabled' => TRUE,
				'source'  => 'icon',
				'url'     => '',
				'imageid' => '',
				'width'   => 24,
				'icon'    => 'facebook',
				'label'   => 'Facebook',
			),
			array(
				'id'      => 'twitter',
				'enabled' => TRUE,
				'source'  => 'icon',
				'url'     => '',
				'imageid' => '',
				'width'   => 24,
				'icon'    => 'twitter',
				'label'   => 'Twitter',
			),
			array(
				'id'      => 'instagram',
				'enabled' => TRUE,
				'source'  => 'icon',
				'url'     => '',
				'imageid' => '',
				'width'   => 24,
				'icon'    => 'instagram',
				'label'   => 'Instagram',
			),
		),
	),
	'footer_social_style'                               => 'filled',
	'footer_social_show_label'                          => FALSE,
	'footer_social_item_spacing'                        => array(
		'size' => 0.3,
		'unit' => 'em',
	),
	'footer_social_icon_size'                           => array(
		'size' => 1,
		'unit' => 'em',
	),
	'footer_social_brand'                               => '',
	'footer_social_color'                               => array(
		'color' => '',
		'hover' => '',
	),
	'footer_social_background'                          => array(
		'color' => '',
		'hover' => '',
	),
	'footer_social_border_colors'                       => array(
		'color' => '',
		'hover' => '',
	),
	'footer_social_border'                              => array(
		'width' => 2,
		'unit'  => 'px',
		'style' => 'none',
	),
	'footer_social_border_radius'                       => array(
		'size' => 3,
		'unit' => 'px',
	),
	'footer_social_typography'                          => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'footer_social_margin'                              => array(
		'size'   => array( '', '', '', '' ),
		'unit'   => 'px',
		'locked' => FALSE,
	),
	'footer_social_align'                               => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	'footer_social_vertical_align'                      => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	// Footer Widget 1.
	'footer_widget1_align'                              => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	'footer_widget1_vertical_align'                     => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	// Footer Widget 2.
	'footer_widget2_align'                              => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	'footer_widget2_vertical_align'                     => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	// Footer Widget 3.
	'footer_widget3_align'                              => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	'footer_widget3_vertical_align'                     => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	// Footer Widget 4.
	'footer_widget4_align'                              => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	'footer_widget4_vertical_align'                     => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	// Footer Widget 5.
	'footer_widget5_align'                              => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	'footer_widget5_vertical_align'                     => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	// Footer Widget 6.
	'footer_widget6_align'                              => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	'footer_widget6_vertical_align'                     => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	// Footer HTML.
	'footer_html_content'                               => '{copyright} {year} Blockfold Theme',
	'footer_html_typography'                            => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'footer_html_link_color'                            => array(
		'color' => '',
		'hover' => '',
	),
	'footer_html_link_style'                            => 'normal',
	'footer_html_margin'                                => array(
		'size'   => array( '', '', '', '' ),
		'unit'   => 'px',
		'locked' => FALSE,
	),
	// Comments.
	'comment_form_before_list'                          => FALSE,
	'comment_form_remove_website'                       => FALSE,
	// 404.
	'404_layout'                                        => 'normal',
	'404_content_style'                                 => 'boxed',
	'404_vertical_padding'                              => 'show',
	'404_background'                                    => '',
	'404_content_background'                            => '',
	'404_sidebar_id'                                    => 'sidebar-primary',
	// Page Layout.
	'page_layout'                                       => 'normal',
	'page_content_style'                                => 'unboxed',
	'page_vertical_padding'                             => 'show',
	'page_comments'                                     => FALSE,
	'page_feature'                                      => FALSE,
	'page_feature_position'                             => 'above',
	'page_feature_ratio'                                => '2-3',
	'page_background'                                   => '',
	'page_content_background'                           => '',
	'page_sidebar_id'                                   => 'sidebar-primary',
	'page_title'                                        => FALSE,
	'page_title_layout'                                 => 'above',
	'page_title_height'                                 => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => 200,
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'page_title_inner_layout'                           => 'standard',
	'page_title_background'                             => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'page_title_featured_image'                         => FALSE,
	'page_title_top_border'                             => array(),
	'page_title_bottom_border'                          => array(),
	'page_title_align'                                  => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	'page_title_font'                                   => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'page_title_breadcrumb_color'                       => array(
		'color' => '',
		'hover' => '',
	),
	'page_title_breadcrumb_font'                        => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'page_title_meta_color'                             => array(
		'color' => '',
		'hover' => '',
	),
	'page_title_meta_font'                              => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'page_title_elements'                               => array( 'title', 'breadcrumb', 'meta' ),
	'page_title_element_title'                          => array(
		'enabled' => TRUE,
	),
	'page_title_element_breadcrumb'                     => array(
		'enabled'    => FALSE,
		'show_title' => TRUE,
	),
	'page_title_element_meta'                           => array(
		'id'                     => 'meta',
		'enabled'                => FALSE,
		'divider'                => 'dot',
		'author'                 => TRUE,
		'authorImage'            => FALSE,
		'authorEnableLabel'      => TRUE,
		'authorLabel'            => '',
		'date'                   => TRUE,
		'dateEnableLabel'        => FALSE,
		'dateLabel'              => '',
		'dateUpdated'            => FALSE,
		'dateUpdatedEnableLabel' => FALSE,
		'dateUpdatedLabel'       => '',
		'comments'               => FALSE,
	),
	// Post Layout.
	'post_layout'                                       => 'narrow',
	'post_content_style'                                => 'boxed',
	'post_vertical_padding'                             => 'show',
	'post_sidebar_id'                                   => 'sidebar-primary',
	'post_comments'                                     => TRUE,
	'post_comments_date'                                => TRUE,
	'post_footer_area_boxed'                            => FALSE,
	'post_navigation'                                   => TRUE,
	'post_related'                                      => TRUE,
	'post_related_style'                                => 'wide',
	'post_related_carousel_loop'                        => TRUE,
	'post_related_columns'                              => '',
	'post_related_title_font'                           => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'post_related_background'                           => '',
	'post_tags'                                         => TRUE,
	'post_author_box'                                   => FALSE,
	'post_author_box_style'                             => 'normal',
	'post_author_box_link'                              => TRUE,
	'post_feature'                                      => TRUE,
	'post_feature_position'                             => 'behind',
	'post_feature_ratio'                                => '2-3',
	'post_feature_width'                                => 'wide',
	'post_background'                                   => '',
	'post_content_background'                           => '',
	'post_title'                                        => TRUE,
	'post_title_layout'                                 => 'normal',
	'post_title_height'                                 => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => 200,
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'post_title_inner_layout'                           => 'standard',
	'post_title_background'                             => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'post_title_featured_image'                         => FALSE,
	'post_title_overlay_color'                          => array(
		'color' => '',
	),
	'post_title_top_border'                             => array(),
	'post_title_bottom_border'                          => array(),
	'post_title_align'                                  => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	'post_title_font'                                   => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'post_title_breadcrumb_color'                       => array(
		'color' => '',
		'hover' => '',
	),
	'post_title_breadcrumb_font'                        => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'post_title_meta_color'                             => array(
		'color' => '',
		'hover' => '',
	),
	'post_title_meta_font'                              => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'post_title_category_color'                         => array(
		'color' => '',
		'hover' => '',
	),
	'post_title_category_font'                          => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'post_title_excerpt_color'                          => array(
		'color' => '',
		'hover' => '',
	),
	'post_title_excerpt_font'                           => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'post_title_elements'                               => array(
		'breadcrumb',
		'categories',
		'title',
		'meta',
		'excerpt'
	),
	'post_title_element_categories'                     => array(
		'enabled' => TRUE,
		'style'   => 'normal',
		'divider' => 'vline',
	),
	'post_title_element_title'                          => array(
		'enabled' => TRUE,
	),
	'post_title_element_breadcrumb'                     => array(
		'enabled'    => FALSE,
		'show_title' => TRUE,
	),
	'post_title_element_excerpt'                        => array(
		'enabled' => FALSE,
	),
	'post_title_element_meta'                           => array(
		'id'                     => 'meta',
		'enabled'                => TRUE,
		'divider'                => 'dot',
		'author'                 => TRUE,
		'authorLink'             => TRUE,
		'authorImage'            => FALSE,
		'authorImageSize'        => 25,
		'authorEnableLabel'      => TRUE,
		'authorLabel'            => '',
		'date'                   => TRUE,
		'dateEnableLabel'        => FALSE,
		'dateLabel'              => '',
		'dateUpdated'            => FALSE,
		'dateUpdatedEnableLabel' => FALSE,
		'dateUpdatedLabel'       => '',
		'categories'             => FALSE,
		'categoriesEnableLabel'  => FALSE,
		'categoriesLabel'        => '',
		'comments'               => FALSE,
	),

	// enable_preload css style sheets.
	'enable_preload'                                    => FALSE,
	'breadcrumb_engine'                                 => '',
	'breadcrumb_home_icon'                              => FALSE,
	// Post Archive.
	'post_archive_title'                                => TRUE,
	'post_archive_home_title'                           => FALSE,
	'post_archive_title_layout'                         => 'above',
	'post_archive_title_inner_layout'                   => 'standard',
	'post_archive_title_height'                         => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'post_archive_title_elements'                       => array( 'breadcrumb', 'title', 'description' ),
	'post_archive_title_element_title'                  => array(
		'enabled' => TRUE,
	),
	'post_archive_title_element_breadcrumb'             => array(
		'enabled'    => FALSE,
		'show_title' => TRUE,
	),
	'post_archive_title_element_description'            => array(
		'enabled' => TRUE,
	),
	'post_archive_title_background'                     => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'post_archive_title_align'                          => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	'post_archive_title_overlay_color'                  => array(
		'color' => '',
	),
	'post_archive_title_breadcrumb_color'               => array(
		'color' => '',
		'hover' => '',
	),
	'post_archive_title_color'                          => array(
		'color' => '',
	),
	'post_archive_description_color'                    => array(
		'color' => '',
		'hover' => '',
	),
	'post_archive_layout'                               => 'normal',
	'post_archive_content_style'                        => 'boxed',
	'post_archive_columns'                              => '3',
	'post_archive_item_image_placement'                 => 'above',
	'post_archive_sidebar_id'                           => 'sidebar-primary',
	'post_archive_elements'                             => array(
		'feature',
		'categories',
		'title',
		'meta',
		'excerpt',
		'readmore'
	),
	'post_archive_element_categories'                   => array(
		'enabled' => TRUE,
		'style'   => 'normal',
		'divider' => 'vline',
	),
	'post_archive_element_title'                        => array(
		'enabled' => TRUE,
	),
	'post_archive_element_meta'                         => array(
		'id'                     => 'meta',
		'enabled'                => TRUE,
		'divider'                => 'dot',
		'author'                 => TRUE,
		'authorLink'             => TRUE,
		'authorImage'            => FALSE,
		'authorImageSize'        => 25,
		'authorEnableLabel'      => TRUE,
		'authorLabel'            => '',
		'date'                   => TRUE,
		'dateEnableLabel'        => FALSE,
		'dateLabel'              => '',
		'dateUpdated'            => FALSE,
		'dateUpdatedEnableLabel' => FALSE,
		'dateUpdatedLabel'       => '',
		'categories'             => FALSE,
		'categoriesEnableLabel'  => FALSE,
		'categoriesLabel'        => '',
		'comments'               => FALSE,
	),
	'post_archive_element_feature'                      => array(
		'enabled'   => TRUE,
		'ratio'     => '2-3',
		'size'      => 'medium_large',
		'imageLink' => TRUE,
	),
	'post_archive_element_excerpt'                      => array(
		'enabled'     => TRUE,
		'words'       => 55,
		'fullContent' => FALSE,
	),
	'post_archive_element_readmore'                     => array(
		'enabled' => TRUE,
		'label'   => '',
	),
	'post_archive_item_title_font'                      => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => '',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'post_archive_item_category_color'                  => array(
		'color' => '',
		'hover' => '',
	),
	'post_archive_item_category_font'                   => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'post_archive_item_meta_color'                      => array(
		'color' => '',
		'hover' => '',
	),
	'post_archive_item_meta_font'                       => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'post_archive_background'                           => '',
	'post_archive_content_background'                   => '',
	'post_archive_column_layout'                        => 'grid',
	// Search Results.
	'search_archive_title'                              => TRUE,
	'search_archive_title_layout'                       => 'normal',
	'search_archive_title_inner_layout'                 => 'standard',
	'search_archive_title_height'                       => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'search_archive_title_background'                   => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'search_archive_title_align'                        => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	'search_archive_title_overlay_color'                => array(
		'color' => '',
	),
	'search_archive_title_breadcrumb_color'             => array(
		'color' => '',
		'hover' => '',
	),
	'search_archive_title_color'                        => array(
		'color' => '',
	),
	'search_archive_description_color'                  => array(
		'color' => '',
		'hover' => '',
	),
	'search_archive_layout'                             => 'normal',
	'search_archive_content_style'                      => 'boxed',
	'search_archive_columns'                            => '3',
	'search_archive_item_image_placement'               => 'above',
	'search_archive_sidebar_id'                         => 'sidebar-primary',
	'search_archive_elements'                           => array(
		'feature',
		'categories',
		'title',
		'meta',
		'excerpt',
		'readmore'
	),
	'search_archive_element_categories'                 => array(
		'enabled' => TRUE,
		'style'   => 'normal',
		'divider' => 'vline',
	),
	'search_archive_element_title'                      => array(
		'enabled' => TRUE,
	),
	'search_archive_element_meta'                       => array(
		'id'                     => 'meta',
		'enabled'                => TRUE,
		'divider'                => 'dot',
		'author'                 => TRUE,
		'authorLink'             => TRUE,
		'authorImage'            => FALSE,
		'authorImageSize'        => 25,
		'authorEnableLabel'      => TRUE,
		'authorLabel'            => '',
		'date'                   => TRUE,
		'dateEnableLabel'        => FALSE,
		'dateLabel'              => '',
		'dateUpdated'            => FALSE,
		'dateUpdatedEnableLabel' => FALSE,
		'dateUpdatedLabel'       => '',
		'categories'             => FALSE,
		'categoriesEnableLabel'  => FALSE,
		'categoriesLabel'        => '',
		'comments'               => FALSE,
	),
	'search_archive_element_feature'                    => array(
		'enabled' => TRUE,
		'ratio'   => '2-3',
		'size'    => 'medium_large',
	),
	'search_archive_element_excerpt'                    => array(
		'enabled'     => TRUE,
		'words'       => 55,
		'fullContent' => FALSE,
	),
	'search_archive_element_readmore'                   => array(
		'enabled' => TRUE,
		'label'   => '',
	),
	'search_archive_item_title_font'                    => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => '',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'search_archive_item_category_color'                => array(
		'color' => '',
		'hover' => '',
	),
	'search_archive_item_category_font'                 => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'search_archive_item_meta_color'                    => array(
		'color' => '',
		'hover' => '',
	),
	'search_archive_item_meta_font'                     => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'search_archive_background'                         => '',
	'search_archive_content_background'                 => '',
	'search_archive_column_layout'                      => 'grid',
	// Product Archive Controls.
	'product_archive_toggle'                            => TRUE,
	'product_archive_show_order'                        => TRUE,
	'product_archive_show_results_count'                => TRUE,
	'product_archive_style'                             => 'action-on-hover',
	'product_archive_image_hover_switch'                => 'none',
	'product_archive_button_style'                      => 'text',
	'product_archive_button_align'                      => FALSE,
	'product_archive_title'                             => TRUE,
	'product_archive_title_layout'                      => 'above',
	'product_archive_title_inner_layout'                => 'standard',
	'product_archive_title_height'                      => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'product_archive_title_elements'                    => array( 'breadcrumb', 'title', 'description' ),
	'product_archive_title_element_title'               => array(
		'enabled' => TRUE,
	),
	'product_archive_title_element_breadcrumb'          => array(
		'enabled'    => FALSE,
		'show_title' => TRUE,
	),
	'product_archive_title_element_description'         => array(
		'enabled' => TRUE,
	),
	'product_archive_title_background'                  => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'product_archive_title_align'                       => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	'product_archive_title_overlay_color'               => array(
		'color' => '',
	),
	'product_archive_title_breadcrumb_color'            => array(
		'color' => '',
		'hover' => '',
	),
	'product_archive_title_heading_font'                => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'product_archive_title_color'                       => array(
		'color' => '',
	),
	'product_archive_description_color'                 => array(
		'color' => '',
		'hover' => '',
	),
	'product_archive_layout'                            => 'normal',
	'product_archive_content_style'                     => 'boxed',
	'product_archive_sidebar_id'                        => 'sidebar-primary',
	'product_archive_title_font'                        => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'product_archive_price_font'                        => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	// Archive Product Button.
	'product_archive_button_typography'                 => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'product_archive_button_color'                      => array(
		'color' => '',
		'hover' => '',
	),
	'product_archive_button_background'                 => array(
		'color' => '',
		'hover' => '',
	),
	'product_archive_button_border_colors'              => array(
		'color' => '',
		'hover' => '',
	),
	'product_archive_button_border'                     => array(
		'width' => 2,
		'unit'  => 'px',
		'style' => 'none',
	),
	'product_archive_button_shadow'                     => array(
		'color'   => 'rgba(0,0,0,0.0)',
		'hOffset' => 0,
		'vOffset' => 0,
		'blur'    => 0,
		'spread'  => 0,
		'inset'   => FALSE,
	),
	'product_archive_button_shadow_hover'               => array(
		'color'   => 'rgba(0,0,0,0)',
		'hOffset' => 0,
		'vOffset' => 0,
		'blur'    => 0,
		'spread'  => 0,
		'inset'   => FALSE,
	),
	'product_archive_button_radius'                     => array(
		'size'   => array( '', '', '', '' ),
		'unit'   => 'px',
		'locked' => TRUE,
	),
	// Product Controls.
	'custom_quantity'                                   => FALSE,
	'product_archive_mobile_columns'                    => 'default',
	'product_layout'                                    => 'normal',
	'product_content_style'                             => 'unboxed',
	'product_vertical_padding'                          => 'show',
	'product_above_layout'                              => 'breadcrumbs',
	'product_sidebar_id'                                => 'sidebar-primary',
	'product_navigation'                                => FALSE,
	'product_related'                                   => TRUE,
	'product_large_cart_button'                         => FALSE,
	'product_additional_weight_dimensions'              => TRUE,
	'product_related_style'                             => 'standard',
	'product_related_columns'                           => '4',
	'product_content_elements'                          => array(
		'category',
		'title',
		'rating',
		'price',
		'excerpt',
		'add_to_cart',
		'extras',
		'payments',
		'product_meta',
		'share'
	),
	'product_content_element_category'                  => array(
		'enabled' => FALSE,
	),
	'product_content_element_title'                     => array(
		'enabled' => TRUE,
	),
	'product_content_element_rating'                    => array(
		'enabled' => TRUE,
	),
	'product_content_element_price'                     => array(
		'enabled'            => TRUE,
		'show_shipping'      => FALSE,
		'shipping_statement' => __( '& Free Shipping', 'blockfold' ),
	),
	'product_content_element_excerpt'                   => array(
		'enabled' => TRUE,
	),
	'product_content_element_add_to_cart'               => array(
		'enabled'     => TRUE,
		'button_size' => '',
	),
	'product_content_element_extras'                    => array(
		'enabled'        => FALSE,
		'title'          => __( 'Free shipping on orders over $50!', 'blockfold' ),
		'feature_1'      => __( 'Satisfaction Guaranteed', 'blockfold' ),
		'feature_2'      => __( 'No Hassle Refunds', 'blockfold' ),
		'feature_3'      => __( 'Secure Payments', 'blockfold' ),
		'feature_4'      => '',
		'feature_5'      => '',
		'feature_1_icon' => 'shield_check',
		'feature_2_icon' => 'shield_check',
		'feature_3_icon' => 'shield_check',
		'feature_4_icon' => 'shield_check',
		'feature_5_icon' => 'shield_check',
	),
	'product_content_element_payments'                  => array(
		'enabled'          => FALSE,
		'title'            => __( 'GUARANTEED SAFE CHECKOUT', 'blockfold' ),
		'visa'             => TRUE,
		'mastercard'       => TRUE,
		'amex'             => TRUE,
		'discover'         => TRUE,
		'paypal'           => TRUE,
		'applepay'         => FALSE,
		'stripe'           => FALSE,
		'card_color'       => 'inherit',
		'custom_enable_01' => FALSE,
		'custom_img_01'    => '',
		'custom_id_01'     => '',
		'custom_enable_02' => FALSE,
		'custom_img_02'    => '',
		'custom_id_02'     => '',
		'custom_enable_03' => FALSE,
		'custom_img_03'    => '',
		'custom_id_03'     => '',
		'custom_enable_04' => FALSE,
		'custom_img_04'    => '',
		'custom_id_04'     => '',
		'custom_enable_05' => FALSE,
		'custom_img_05'    => '',
		'custom_id_05'     => '',
	),
	'product_tab_style'                                 => 'normal',
	'variation_direction'                               => 'horizontal',
	'product_tab_title'                                 => TRUE,
	'product_content_element_product_meta'              => array(
		'enabled' => TRUE,
	),
	'product_content_element_share'                     => array(
		'enabled' => TRUE,
	),
	'product_background'                                => '',
	'product_content_background'                        => '',
	'product_title_elements'                            => array( 'breadcrumb', 'category', 'above_title' ),
	'product_title_element_category'                    => array(
		'enabled' => TRUE,
	),
	'product_title_element_above_title'                 => array(
		'enabled' => FALSE,
	),
	'product_title_element_breadcrumb'                  => array(
		'enabled'    => FALSE,
		'show_title' => TRUE,
	),
	'product_title_height'                              => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => 200,
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'product_title_inner_layout'                        => 'standard',
	'product_title_background'                          => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'product_title_overlay_color'                       => array(
		'color' => '',
	),
	'product_title_top_border'                          => array(),
	'product_title_bottom_border'                       => array(),
	'product_title_align'                               => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	'product_title_font'                                => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'product_single_category_font'                      => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'product_above_title_font'                          => array(
		'size'       => array(
			'desktop' => '32',
		),
		'lineHeight' => array(
			'desktop' => '1.5',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '700',
		'variant'    => '700',
		'color'      => '',
	),
	'product_title_breadcrumb_color'                    => array(
		'color' => '',
		'hover' => '',
	),
	'product_above_category_font'                       => array(
		'size'       => array(
			'desktop' => '32',
		),
		'lineHeight' => array(
			'desktop' => '1.5',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '700',
		'variant'    => '700',
		'color'      => 'palette3',
	),
	// Store Notice:
	'woo_store_notice_placement'                        => 'above',
	'woo_store_notice_hide_dismiss'                     => FALSE,
	'woo_store_notice_font'                             => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'woo_store_notice_background'                       => array(
		'color' => '',
	),
	// Woo Account
	'woo_account_navigation_layout'                     => 'right',
	'woo_account_navigation_avatar'                     => TRUE,
	// Heroic Knowledge Base.
	'ht_kb_header_search'                               => TRUE,
	'ht_kb_archive_title_layout'                        => 'above',
	'ht_kb_archive_layout'                              => 'normal',
	'ht_kb_archive_content_style'                       => 'boxed',
	'ht_kb_title_elements'                              => array( 'breadcrumb', 'title' ),
	'ht_kb_title_element_title'                         => array(
		'enabled' => TRUE,
	),
	'ht_kb_title_element_breadcrumb'                    => array(
		'enabled'    => TRUE,
		'show_title' => TRUE,
	),
	// Header Cart.
	'header_cart_label'                                 => '',
	'header_cart_show_total'                            => TRUE,
	'header_cart_style'                                 => 'link',
	'header_cart_popup_side'                            => 'right',
	'header_cart_icon'                                  => 'shopping-bag',
	'header_cart_icon_size'                             => array(
		'size' => '',
		'unit' => 'em',
	),
	'header_cart_color'                                 => array(
		'color' => '',
		'hover' => '',
	),
	'header_cart_background'                            => array(
		'color' => '',
		'hover' => '',
	),
	'header_cart_total_color'                           => array(
		'color' => '',
		'hover' => '',
	),
	'header_cart_total_background'                      => array(
		'color' => '',
		'hover' => '',
	),
	'header_cart_typography'                            => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'header_cart_padding'                               => array(
		'size'   => array( '', '', '', '' ),
		'unit'   => 'em',
		'locked' => FALSE,
	),
	// Mobile Header Cart.
	'header_mobile_cart_label'                          => '',
	'header_mobile_cart_show_total'                     => TRUE,
	'header_mobile_cart_style'                          => 'link',
	'header_mobile_cart_popup_side'                     => 'right',
	'header_mobile_cart_icon'                           => 'shopping-bag',
	'header_mobile_cart_icon_size'                      => array(
		'size' => '',
		'unit' => 'em',
	),
	'header_mobile_cart_color'                          => array(
		'color' => '',
		'hover' => '',
	),
	'header_mobile_cart_background'                     => array(
		'color' => '',
		'hover' => '',
	),
	'header_mobile_cart_total_color'                    => array(
		'color' => '',
		'hover' => '',
	),
	'header_mobile_cart_total_background'               => array(
		'color' => '',
		'hover' => '',
	),
	'header_mobile_cart_typography'                     => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'header_mobile_cart_padding'                        => array(
		'size'   => array( '', '', '', '' ),
		'unit'   => 'em',
		'locked' => FALSE,
	),
	// LifterLMS Course
	'course_syllabus_thumbs'                            => FALSE,
	'course_syllabus_thumbs_ratio'                      => '2-3',
	'course_syllabus_columns'                           => '1',
	'course_syllabus_lesson_style'                      => 'standard',
	'course_layout'                                     => 'normal',
	'course_content_style'                              => 'boxed',
	'course_vertical_padding'                           => 'show',
	'course_sidebar_id'                                 => 'llms_course_widgets_side',
	'course_feature'                                    => FALSE,
	'course_feature_position'                           => 'behind',
	'course_feature_ratio'                              => '2-3',
	'course_comments'                                   => FALSE,
	'course_background'                                 => '',
	'course_content_background'                         => '',
	'course_title'                                      => TRUE,
	'course_title_layout'                               => 'normal',
	'course_title_height'                               => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'course_title_inner_layout'                         => 'standard',
	'course_title_background'                           => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'course_title_featured_image'                       => FALSE,
	'course_title_overlay_color'                        => array(
		'color' => '',
	),
	'course_title_top_border'                           => array(),
	'course_title_bottom_border'                        => array(),
	'course_title_align'                                => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	'course_title_font'                                 => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'course_title_breadcrumb_color'                     => array(
		'color' => '',
		'hover' => '',
	),
	'course_title_breadcrumb_font'                      => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'course_title_elements'                             => array( 'breadcrumb', 'title' ),
	'course_title_element_title'                        => array(
		'enabled' => TRUE,
	),
	'course_title_element_breadcrumb'                   => array(
		'enabled'    => FALSE,
		'show_title' => TRUE,
	),
	// LifterLMS Lesson
	'lesson_layout'                                     => 'right',
	'lesson_content_style'                              => 'boxed',
	'lesson_vertical_padding'                           => 'show',
	'lesson_sidebar_id'                                 => 'llms_lesson_widgets_side',
	'lesson_feature'                                    => FALSE,
	'lesson_comments'                                   => FALSE,
	'lesson_feature_position'                           => 'behind',
	'lesson_feature_ratio'                              => '2-3',
	'lesson_background'                                 => '',
	'lesson_content_background'                         => '',
	'lesson_title'                                      => TRUE,
	'lesson_title_layout'                               => 'normal',
	'lesson_title_height'                               => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'lesson_title_inner_layout'                         => 'standard',
	'lesson_title_background'                           => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'lesson_title_featured_image'                       => FALSE,
	'lesson_title_overlay_color'                        => array(
		'color' => '',
	),
	'lesson_title_top_border'                           => array(),
	'lesson_title_bottom_border'                        => array(),
	'lesson_title_align'                                => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	'lesson_title_font'                                 => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'lesson_title_breadcrumb_color'                     => array(
		'color' => '',
		'hover' => '',
	),
	'lesson_title_breadcrumb_font'                      => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'lesson_title_elements'                             => array( 'breadcrumb', 'title' ),
	'lesson_title_element_title'                        => array(
		'enabled' => TRUE,
	),
	'lesson_title_element_breadcrumb'                   => array(
		'enabled'    => FALSE,
		'show_title' => TRUE,
	),
	// LifterLMS Quiz
	'llms_quiz_layout'                                  => 'right',
	'llms_quiz_content_style'                           => 'boxed',
	'llms_quiz_vertical_padding'                        => 'show',
	'llms_quiz_sidebar_id'                              => 'llms_lesson_widgets_side',
	'llms_quiz_title'                                   => TRUE,
	'llms_quiz_title_layout'                            => 'normal',
	'llms_quiz_title_inner_layout'                      => 'standard',
	'llms_quiz_title_align'                             => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	// LifterLMS Quiz
	'llms_membership_layout'                            => 'normal',
	'llms_membership_content_style'                     => 'boxed',
	'llms_membership_vertical_padding'                  => 'show',
	'llms_membership_sidebar_id'                        => 'sidebar-primary',
	'llms_membership_title'                             => TRUE,
	'llms_membership_title_layout'                      => 'normal',
	'llms_membership_title_inner_layout'                => 'standard',
	'llms_membership_title_align'                       => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	// LifterLMS Archive
	'course_archive_columns'                            => '3',
	'course_archive_title'                              => TRUE,
	'course_archive_title_layout'                       => 'above',
	'course_archive_title_inner_layout'                 => 'standard',
	'course_archive_title_height'                       => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'course_archive_title_elements'                     => array( 'breadcrumb', 'title', 'description' ),
	'course_archive_title_element_title'                => array(
		'enabled' => TRUE,
	),
	'course_archive_title_element_breadcrumb'           => array(
		'enabled'    => FALSE,
		'show_title' => TRUE,
	),
	'course_archive_title_element_description'          => array(
		'enabled' => TRUE,
	),
	'course_archive_title_background'                   => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'course_archive_title_align'                        => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	'course_archive_title_overlay_color'                => array(
		'color' => '',
	),
	'course_archive_title_breadcrumb_color'             => array(
		'color' => '',
		'hover' => '',
	),
	'course_archive_title_color'                        => array(
		'color' => '',
	),
	'course_archive_description_color'                  => array(
		'color' => '',
		'hover' => '',
	),
	'course_archive_layout'                             => 'normal',
	'course_archive_content_style'                      => 'boxed',
	'course_archive_sidebar_id'                         => 'sidebar-primary',
	// LifterLMS Member Archive
	'llms_membership_archive_columns'                   => '3',
	'llms_membership_archive_title'                     => TRUE,
	'llms_membership_archive_title_layout'              => 'above',
	'llms_membership_archive_title_inner_layout'        => 'standard',
	'llms_membership_archive_title_height'              => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'llms_membership_archive_title_elements'            => array( 'breadcrumb', 'title', 'description' ),
	'llms_membership_archive_title_element_title'       => array(
		'enabled' => TRUE,
	),
	'llms_membership_archive_title_element_breadcrumb'  => array(
		'enabled'    => FALSE,
		'show_title' => TRUE,
	),
	'llms_membership_archive_title_element_description' => array(
		'enabled' => TRUE,
	),
	'llms_membership_archive_title_background'          => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'llms_membership_archive_title_align'               => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	'llms_membership_archive_title_overlay_color'       => array(
		'color' => '',
	),
	'llms_membership_archive_title_breadcrumb_color'    => array(
		'color' => '',
		'hover' => '',
	),
	'llms_membership_archive_title_color'               => array(
		'color' => '',
	),
	'llms_membership_archive_description_color'         => array(
		'color' => '',
		'hover' => '',
	),
	'llms_membership_archive_layout'                    => 'normal',
	'llms_membership_archive_content_style'             => 'boxed',
	'llms_membership_archive_sidebar_id'                => 'sidebar-primary',
	// Dashboard Layout
	'llms_dashboard_navigation_layout'                  => 'right',
	'llms_dashboard_archive_columns'                    => '3',
	// Learn Dash Course Grid.
	'learndash_course_grid'                             => FALSE,
	'learndash_course_grid_style'                       => 'boxed',
	'sfwd-grid_title_font'                              => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	// Learn Dash Course Archive.
	'sfwd-courses_archive_columns'                      => '3',
	'sfwd-courses_archive_title'                        => TRUE,
	'sfwd-courses_archive_title_layout'                 => 'above',
	'sfwd-courses_archive_title_inner_layout'           => 'standard',
	'sfwd-courses_archive_title_height'                 => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'sfwd-courses_archive_title_elements'               => array( 'breadcrumb', 'title', 'description' ),
	'sfwd-courses_archive_title_element_title'          => array(
		'enabled' => TRUE,
	),
	'sfwd-courses_archive_title_element_breadcrumb'     => array(
		'enabled'    => FALSE,
		'show_title' => TRUE,
	),
	'sfwd-courses_archive_title_element_description'    => array(
		'enabled' => TRUE,
	),
	'sfwd-courses_archive_title_background'             => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'sfwd-courses_archive_title_align'                  => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	'sfwd-courses_archive_title_overlay_color'          => array(
		'color' => '',
	),
	'sfwd-courses_archive_title_breadcrumb_color'       => array(
		'color' => '',
		'hover' => '',
	),
	'sfwd-courses_archive_title_color'                  => array(
		'color' => '',
	),
	'sfwd-courses_archive_description_color'            => array(
		'color' => '',
		'hover' => '',
	),
	'sfwd-courses_archive_layout'                       => 'normal',
	'sfwd-courses_archive_content_style'                => 'boxed',
	'sfwd-courses_archive_sidebar_id'                   => 'sidebar-primary',
	// Learn Dash Course
	'sfwd-courses_layout'                               => 'normal',
	'sfwd-courses_content_style'                        => 'boxed',
	'sfwd-courses_comments'                             => TRUE,
	'sfwd-courses_vertical_padding'                     => 'show',
	'sfwd-courses_sidebar_id'                           => 'sidebar-primary',
	'sfwd-courses_feature'                              => FALSE,
	'sfwd-courses_feature_position'                     => 'behind',
	'sfwd-courses_feature_ratio'                        => '2-3',
	'sfwd-courses_background'                           => '',
	'sfwd-courses_content_background'                   => '',
	'sfwd-courses_title'                                => TRUE,
	'sfwd-courses_title_layout'                         => 'normal',
	'sfwd-courses_title_height'                         => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'sfwd-courses_title_inner_layout'                   => 'standard',
	'sfwd-courses_title_background'                     => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'sfwd-courses_title_featured_image'                 => FALSE,
	'sfwd-courses_title_overlay_color'                  => array(
		'color' => '',
	),
	'sfwd-courses_title_top_border'                     => array(),
	'sfwd-courses_title_bottom_border'                  => array(),
	'sfwd-courses_title_align'                          => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	'sfwd-courses_title_font'                           => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'sfwd-courses_title_breadcrumb_color'               => array(
		'color' => '',
		'hover' => '',
	),
	'sfwd-courses_title_breadcrumb_font'                => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'sfwd-courses_title_elements'                       => array( 'breadcrumb', 'title' ),
	'sfwd-courses_title_element_title'                  => array(
		'enabled' => TRUE,
	),
	'sfwd-courses_title_element_breadcrumb'             => array(
		'enabled'    => FALSE,
		'show_title' => TRUE,
	),
	// Learndash Lessons.
	'sfwd-lessons_layout'                               => 'normal',
	'sfwd-lessons_comments'                             => TRUE,
	'sfwd-lessons_content_style'                        => 'boxed',
	'sfwd-lessons_vertical_padding'                     => 'show',
	'sfwd-lessons_sidebar_id'                           => 'sidebar-primary',
	'sfwd-lessons_feature'                              => FALSE,
	'sfwd-lessons_feature_position'                     => 'behind',
	'sfwd-lessons_feature_ratio'                        => '2-3',
	'sfwd-lessons_background'                           => '',
	'sfwd-lessons_content_background'                   => '',
	'sfwd-lessons_title'                                => TRUE,
	'sfwd-lessons_title_layout'                         => 'normal',
	'sfwd-lessons_title_height'                         => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'sfwd-lessons_title_inner_layout'                   => 'standard',
	'sfwd-lessons_title_background'                     => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'sfwd-lessons_title_featured_image'                 => FALSE,
	'sfwd-lessons_title_overlay_color'                  => array(
		'color' => '',
	),
	'sfwd-lessons_title_top_border'                     => array(),
	'sfwd-lessons_title_bottom_border'                  => array(),
	'sfwd-lessons_title_align'                          => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	'sfwd-lessons_title_font'                           => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'sfwd-lessons_title_breadcrumb_color'               => array(
		'color' => '',
		'hover' => '',
	),
	'sfwd-lessons_title_breadcrumb_font'                => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'sfwd-lessons_title_elements'                       => array( 'breadcrumb', 'title' ),
	'sfwd-lessons_title_element_title'                  => array(
		'enabled' => TRUE,
	),
	'sfwd-lessons_title_element_breadcrumb'             => array(
		'enabled'    => FALSE,
		'show_title' => TRUE,
	),
	// Learndash Quiz.
	'sfwd-quiz_layout'                                  => 'normal',
	'sfwd-quiz_comments'                                => TRUE,
	'sfwd-quiz_content_style'                           => 'boxed',
	'sfwd-quiz_vertical_padding'                        => 'show',
	'sfwd-quiz_sidebar_id'                              => 'sidebar-primary',
	'sfwd-quiz_feature'                                 => FALSE,
	'sfwd-quiz_feature_position'                        => 'behind',
	'sfwd-quiz_feature_ratio'                           => '2-3',
	'sfwd-quiz_background'                              => '',
	'sfwd-quiz_content_background'                      => '',
	'sfwd-quiz_title'                                   => TRUE,
	'sfwd-quiz_title_layout'                            => 'normal',
	'sfwd-quiz_title_height'                            => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'sfwd-quiz_title_inner_layout'                      => 'standard',
	'sfwd-quiz_title_background'                        => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'sfwd-quiz_title_featured_image'                    => FALSE,
	'sfwd-quiz_title_overlay_color'                     => array(
		'color' => '',
	),
	'sfwd-quiz_title_top_border'                        => array(),
	'sfwd-quiz_title_bottom_border'                     => array(),
	'sfwd-quiz_title_align'                             => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	'sfwd-quiz_title_font'                              => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'sfwd-quiz_title_breadcrumb_color'                  => array(
		'color' => '',
		'hover' => '',
	),
	'sfwd-quiz_title_breadcrumb_font'                   => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'sfwd-quiz_title_elements'                          => array( 'breadcrumb', 'title' ),
	'sfwd-quiz_title_element_title'                     => array(
		'enabled' => TRUE,
	),
	'sfwd-quiz_title_element_breadcrumb'                => array(
		'enabled'    => FALSE,
		'show_title' => TRUE,
	),
	// Learndash Topics.
	'sfwd-topic_layout'                                 => 'normal',
	'sfwd-topic_content_style'                          => 'boxed',
	'sfwd-topic_vertical_padding'                       => 'show',
	'sfwd-topic_comments'                               => TRUE,
	'sfwd-topic_sidebar_id'                             => 'sidebar-primary',
	'sfwd-topic_feature'                                => FALSE,
	'sfwd-topic_feature_position'                       => 'behind',
	'sfwd-topic_feature_ratio'                          => '2-3',
	'sfwd-topic_background'                             => '',
	'sfwd-topic_content_background'                     => '',
	'sfwd-topic_title'                                  => TRUE,
	'sfwd-topic_title_layout'                           => 'normal',
	'sfwd-topic_title_height'                           => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'sfwd-topic_title_inner_layout'                     => 'standard',
	'sfwd-topic_title_background'                       => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'sfwd-topic_title_featured_image'                   => FALSE,
	'sfwd-topic_title_overlay_color'                    => array(
		'color' => '',
	),
	'sfwd-topic_title_top_border'                       => array(),
	'sfwd-topic_title_bottom_border'                    => array(),
	'sfwd-topic_title_align'                            => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	'sfwd-topic_title_font'                             => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'sfwd-topic_title_breadcrumb_color'                 => array(
		'color' => '',
		'hover' => '',
	),
	'sfwd-topic_title_breadcrumb_font'                  => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'sfwd-topic_title_elements'                         => array( 'breadcrumb', 'title' ),
	'sfwd-topic_title_element_title'                    => array(
		'enabled' => TRUE,
	),
	'sfwd-topic_title_element_breadcrumb'               => array(
		'enabled'    => FALSE,
		'show_title' => TRUE,
	),
	// Learn Dash Groups
	'groups_layout'                                     => 'normal',
	'groups_content_style'                              => 'boxed',
	'groups_vertical_padding'                           => 'show',
	'groups_sidebar_id'                                 => 'sidebar-primary',
	'groups_feature'                                    => FALSE,
	'groups_feature_position'                           => 'behind',
	'groups_feature_ratio'                              => '2-3',
	'groups_background'                                 => '',
	'groups_content_background'                         => '',
	'groups_title'                                      => TRUE,
	'groups_title_layout'                               => 'normal',
	'groups_title_height'                               => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'groups_title_inner_layout'                         => 'standard',
	'groups_title_background'                           => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'groups_title_featured_image'                       => FALSE,
	'groups_title_overlay_color'                        => array(
		'color' => '',
	),
	'groups_title_top_border'                           => array(),
	'groups_title_bottom_border'                        => array(),
	'groups_title_align'                                => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	'groups_title_font'                                 => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'groups_title_breadcrumb_color'                     => array(
		'color' => '',
		'hover' => '',
	),
	'groups_title_breadcrumb_font'                      => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'groups_title_elements'                             => array( 'breadcrumb', 'title' ),
	'groups_title_element_title'                        => array(
		'enabled' => TRUE,
	),
	'groups_title_element_breadcrumb'                   => array(
		'enabled'    => FALSE,
		'show_title' => TRUE,
	),
	// Learn Dash essays
	'sfwd-essays_layout'                                => 'normal',
	'sfwd-essays_content_style'                         => 'boxed',
	'sfwd-essays_vertical_padding'                      => 'show',
	'sfwd-essays_sidebar_id'                            => 'sidebar-primary',
	'sfwd-essays_comments'                              => TRUE,
	'sfwd-essays_feature'                               => FALSE,
	'sfwd-essays_feature_position'                      => 'behind',
	'sfwd-essays_feature_ratio'                         => '2-3',
	'sfwd-essays_background'                            => '',
	'sfwd-essays_content_background'                    => '',
	'sfwd-essays_title'                                 => TRUE,
	'sfwd-essays_title_layout'                          => 'normal',
	'sfwd-essays_title_height'                          => array(
		'size' => array(
			'mobile'  => '',
			'tablet'  => '',
			'desktop' => '',
		),
		'unit' => array(
			'mobile'  => 'px',
			'tablet'  => 'px',
			'desktop' => 'px',
		),
	),
	'sfwd-essays_title_inner_layout'                    => 'standard',
	'sfwd-essays_title_background'                      => array(
		'desktop' => array(
			'color' => '',
		),
	),
	'sfwd-essays_title_featured_image'                  => FALSE,
	'sfwd-essays_title_overlay_color'                   => array(
		'color' => '',
	),
	'sfwd-essays_title_top_border'                      => array(),
	'sfwd-essays_title_bottom_border'                   => array(),
	'sfwd-essays_title_align'                           => array(
		'mobile'  => '',
		'tablet'  => '',
		'desktop' => '',
	),
	'sfwd-essays_title_font'                            => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
		'color'      => '',
	),
	'sfwd-essays_title_breadcrumb_color'                => array(
		'color' => '',
		'hover' => '',
	),
	'sfwd-essays_title_breadcrumb_font'                 => array(
		'size'       => array(
			'desktop' => '',
		),
		'lineHeight' => array(
			'desktop' => '',
		),
		'family'     => 'inherit',
		'google'     => TRUE,
		'weight'     => '',
		'variant'    => '',
	),
	'sfwd-essays_title_elements'                        => array( 'breadcrumb', 'title' ),
	'sfwd-essays_title_element_title'                   => array(
		'enabled' => TRUE,
	),
	'sfwd-essays_title_element_breadcrumb'              => array(
		'enabled'    => FALSE,
		'show_title' => TRUE,
	),
	// MISC
	'ie11_basic_support'                                => FALSE,
);